=== debian/changelog ===
cron (3.0pl1-184ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:06:27 +0000

cron (3.0pl1-184ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2055105). Remaining changes:
    - debian/control: Move MTA to Suggests field.
    - debian/cron.default: change to a deprecated message to make it clear
      that the file is no longer in use.
    - d/p/f/inherit-path.patch: Add -P option to inherit PATH from environment,
      thanks to Tom Jones for the patch
    - Inherit PATH by default:
      + debian/crontab.main: Stop setting PATH
      + debian/cron.service, debian/cron.init: Pass -P to cron

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 27 Feb 2024 15:25:23 +1300

cron (3.0pl1-184) unstable; urgency=medium

  * created a new file /etc/supercat/spcrc-crontab-light for light
    backgrounds, and modified /etc/supercat/spcrc-crontab for dark
    backgrounds. Closes: #1061164
  * demoted supercat from Recommends: to Suggests:. Closes: #1061196

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 21 Jan 2024 12:10:45 +0100

cron (3.0pl1-183) unstable; urgency=medium

  * deleted the patch features/Coloring_the_ouput_of_crontab_l.patch,
    enhanced the patch docs/more_examples_for_crontab.patch, added
    the file spcrc-crontab and recommended the package supercat, to
    give an opportunity to colorize the output of `crontab -l`, while
    keeping this output accessible. Closes: #1059828

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 09:51:30 +0100

cron (3.0pl1-182) unstable; urgency=medium

  * patched crontab.5 to document the possible use of leading zeroes,
    in order to line up columns. Closes: #946382

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Dec 2023 19:13:06 +0100

cron (3.0pl1-181) unstable; urgency=medium

  * patched crontab.5 in order to give useful information about using eval
    command, which makes easier to express environment assignments inside
    commands to call with cron. Closes: #773513. Closes: #876975

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Dec 2023 17:15:15 +0100

cron (3.0pl1-180) unstable; urgency=medium

  * implemented a new feature: when a command outputs very long lines,
    the message reporting them has wrapped lines. Closes: #777584
    + added a new test for autopkgtests.
  * renamed a test file to please lintian, which issued a warning

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 22 Nov 2023 17:10:27 +0100

cron (3.0pl1-179) unstable; urgency=medium

  * improved crontab.c: it now emits a COLOR_RESET escape sequence before
    sending '\n' to ttys. Closes: #1055197

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 20:11:18 +0100

cron (3.0pl1-178ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2044015). Remaining changes:
    - debian/control: Move MTA to Suggests field.
    - debian/cron.default: change to a deprecated message to make it clear
      that the file is no longer in use.
    - d/p/f/inherit-path.patch: Add -P option to inherit PATH from environment,
      thanks to Tom Jones for the patch
    - Inherit PATH by default:
      + debian/crontab.main: Stop setting PATH
      + debian/cron.service, debian/cron.init: Pass -P to cron
  * Drop changes:
    - debian/tests/compare-with-old-cron-files: Compare against cron package
      shipped in Ubuntu Jammy instead of that shipped in Debian Bullseye
      [ Test removed in 3.0pl1-167 ]

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 21 Nov 2023 08:38:28 +1300

cron (3.0pl1-178) unstable; urgency=medium

  * checked that debian/crontab.main keeps /bin and /sbin in the PATH.
    Closes: #1051138
  * modified crontab.c, so `crontab -l` emits a COLOR_RESET escape sequence
    to a tty unconditionaly at the end of the lines, to prevent prompt
    corruption later. Closes: #1054327

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 01 Nov 2023 17:56:35 +0100

cron (3.0pl1-177) unstable; urgency=medium

  * Included Alexander Schwinn's PR: this is about checking steps in crontabs,
    to prevent insane divisions, like dividing one hour in more than 60 steps
    for example
  * added a new test 'step_size_out_of_bound' to check the previous change
  * modified the fake editor debian/tests/cronfiller.py so it can take in
    account an environment variable LINES to append some lines to a
    crontab file.
  * made a longer sleep (now 4 seconds) in the test
    'check-messages-sent-by-cron' to prevent random failures due to a
    heavily loaded host

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 19 Oct 2023 18:41:20 +0200

cron (3.0pl1-176) unstable; urgency=medium

  * added the switch -n in the synopsis line of cron.8
  * enable debug by default (it must still be triggered by -x when
    calling cron); enabled the -N switch when DEBUGGING is enabled for
    cron.
  * documented the -x switch in cron.8
  * declared myself as maintainer
  * made a roud trip with `gbp pq import/export`, which modifies the
    debian patches (adding some information, like for example a summary
    for every modified file)
  * modified the patch features/Coloring_the_ouput_of_crontab_l.patch
    in order to touch the background color when the foregroud color is
    changed, and keep an acceptable contrast. Closes: #1053288
  * added SyslogFacility=cron in the file cron.service. Closes: #1051619

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 10 Oct 2023 19:45:44 +0200

cron (3.0pl1-175) unstable; urgency=medium

  * removed the line SHELL=/usr/bin/sh from an example in crontab.5; this,
    Closes: #166533
  * according to Message-ID: <87il8y5n5c.8.fsf@jidanni.org> sent to
    915289-done@bugs.debian.org, this bug should be closed now ??
    Closes: #915289 anyway.
  * uncommented EXTRA_OPTS="" in debian/cron.default; Closes: #1050702

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 03 Sep 2023 12:30:35 +0200


