=== debian/control ===
Source: cron
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
Standards-Version: 4.6.2
Build-Depends:
    debhelper-compat (= 13),
    libpam0g-dev,
    libselinux1-dev [linux-any],
    libaudit-dev [linux-any],
    python3:any
Rules-Requires-Root: no
Homepage: https://ftp.isc.org/isc/cron/
Vcs-Git: https://salsa.debian.org/debian/cron.git
Vcs-Browser: https://salsa.debian.org/debian/cron

Package: cron
Architecture: any
Multi-Arch: foreign
Pre-Depends:
    ${misc:Pre-Depends},
    cron-daemon-common
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    sensible-utils,
    libpam-runtime
Suggests:
    anacron,
    logrotate,
    checksecurity,
    supercat,
    default-mta | mail-transport-agent
Conflicts:
    systemd-cron,
    bcron,
    cronie
Replaces:
    systemd-cron,
    bcron,
    cronie
Provides: cron-daemon
Description: process scheduling daemon
 The cron daemon is a background process that runs particular programs at
 particular times (for example, every minute, day, week, or month), as
 specified in a crontab. By default, users may also create crontabs of
 their own so that processes are run on their behalf.
 .
 Output from the commands is usually mailed to the system administrator
 (or to the user in question); you should probably install a mail system
 as well so that you can receive these messages.
 .
 This cron package does not provide any system maintenance tasks. Basic
 periodic maintenance tasks are provided by other packages, such
 as checksecurity.

Package: cron-daemon-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
    adduser
Conflicts:
	cron (<< 3.0pl1-140),
	cronie (<< 1.6.1-5),
	systemd-cron(<< 1.15.18-1.1),
	bcron (<< 0.11-9.1)
Breaks:
    systemd-cron(<<1.15.19-5~)
Replaces:
	cron (<< 3.0pl1-140),
	cronie (<< 1.6.1-5),
	systemd-cron(<< 1.15.18-1.1),
	bcron (<< 0.11-9.1)
Description: process scheduling daemon's configuration files
 The cron daemon is a background process that runs particular programs at
 particular times (for example, every minute, day, week, or month), as
 specified in a crontab. By default, users may also create crontabs of
 their own so that processes are run on their behalf.
 .
 This package provides configuration files which must be there to
 define scheduled process sets.
