=== debian/tests/control ===
Tests: check-significant-header,
 sanity-checks,
 check-messages-sent-by-cron,
 check-listings-protection,
 step-size-out-of-bound,
 check-wrapping-long-lines,
Depends: apt, binutils, exim4, mailutils, rsyslog, bsdextrautils, expect, @
Restrictions: needs-root, needs-internet, breaks-testbed
