=== debian/watch ===
version=4

# GitLab hosted projects.
opts="uversionmangle=s/-\d*$//,filenamemangle=s%([^-]*-\d*)*%@PACKAGE@-$1%" \
    https://salsa.debian.org/debian/cron/-/tags \
    archive/debian/@ANY_VERSION@/cron-debian-\d\S*@ARCHIVE_EXT@
