=== debian/changelog ===
cron (3.0pl1-106) unstable; urgency=low

  * Install script has been fixed.

 -- Artem Buckhonov <nerzhulart@gmail.com>  Wed, 03 Nov 2010 20:19:50 +3000
