## cron 3.0pl1-128ubuntu2+8.0trisquel1

=== debian/changelog ===
cron (3.0pl1-128ubuntu2+8.0trisquel1) flidas; urgency=medium

  * Removed non-free example #10868

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Jun 2016 15:21:44 +0000
