## cron 3.0pl1-128.1ubuntu1+9.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,6 @@
 DESTSBIN	=	$(DESTROOT)/sbin
 DESTBIN		=	$(DESTROOT)/bin
 DESTMAN		=	$(DESTROOT)/share/man
-DESTETC         =       $(DESTDIR)/etc
 #<<need bitstring.h>>
 INCLUDE		=	-I.
 #INCLUDE	=
@@ -73,9 +72,9 @@
 #CC		=	vcc
 #<<manifest defines>>
 # Allow override from command line
-DEBUG_DEFS = -DDEBUGGING=0   
+DEBUG_DEFS  ?= -DDEBUGGING=0   
 # The -DUSE_SIGCHLD is needed for the Alpha port
-DEFS = -DDEBIAN -DUSE_SIGCHLD $(DEBUG_DEFS) $(PAM_DEFS) $(SELINUX_DEFS)
+DEFS = -DDEBIAN -DUSE_SIGCHLD $(DEBUG_DEFS) $(PAM_DEFS) $(SELINUX_DEFS) $(AUDIT_DEFS)
 #(SGI IRIX systems need this)
 #DEFS		=	-D_BSD_SIGNALS -Dconst=
 #<<the name of the BSD-like install program>>
@@ -88,7 +87,7 @@
 #################################### end configurable stuff
 
 SHELL		=	/bin/sh
-CFLAGS		=	$(OPTIM) $(INCLUDE) $(COMPAT) $(DEFS)
+CFLAGS		+=	$(INCLUDE) $(COMPAT) $(DEFS)
 
 INFOS		=	README CHANGES FEATURES INSTALL CONVERSION THANKS MAIL
 MANPAGES	=	bitstring.3 crontab.5 crontab.1 cron.8 putman.sh
@@ -121,7 +120,6 @@
 install		:	all
 			$(INSTALL) -c -m  755 -o root cron    $(DESTSBIN)/
 			$(INSTALL) -c -m 4755 -o root crontab $(DESTBIN)/
-			cp etc/crontab $(DESTETC)/
 			sh putman.sh crontab.1 $(DESTMAN)
 			sh putman.sh cron.8    $(DESTMAN)
 			sh putman.sh crontab.5 $(DESTMAN)
@@ -131,11 +129,6 @@
 
 kit		:	$(SHAR_SOURCE)
 			makekit -m -s99k $(SHAR_SOURCE)
-uninstall	:	
-			rm -f $(DESTSBIN)/cron
-			rm -f $(DESTBIN)/crontab
-			rm -f $(DESTETC)/init.d/cron
-			rm -f -R $(DESTETC)/cron.d $(DESTETC)/cron.daily $(DESTETC)/cron.weekly $(DESTETC)/cron.monthly
-			rm -f $(DESTMAN)/cron.8	 $(DESTMAN)/crontab.5 $(DESTMAN)/crontab.1
+
 $(CRON_OBJ)	:	cron.h compat.h config.h externs.h pathnames.h Makefile
 $(CRONTAB_OBJ)	:	cron.h compat.h config.h externs.h pathnames.h Makefile
