=== debian/changelog ===
cron (3.0pl1-128.1ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Removed non-free example #10868

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 01 Nov 2019 21:39:55 +0000
