=== debian/control ===
Source: cron
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Uploaders: Christian Kastner <debian@kvr.at>
Standards-Version: 3.9.6
Build-Depends:
    debhelper (>= 9),
    libpam0g-dev,
    libselinux1-dev [linux-any],
    libaudit-dev [linux-any],
    dh-systemd (>= 1.4)
Homepage: http://ftp.isc.org/isc/cron/
Vcs-Git: git://anonscm.debian.org/pkg-cron/pkg-cron.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cron/pkg-cron.git

Package: cron
Architecture: any
Pre-Depends:
    dpkg (>= 1.15.7.2)
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    debianutils (>= 1.7),
    adduser,
    lsb-base (>= 3.0-10),
    libpam-runtime (>= 1.0.1-11)
Suggests:
    anacron (>=2.0-1),
    logrotate,
    checksecurity,
    exim4 | postfix | mail-transport-agent
Breaks:
    dpkg (<< 1.15.4)
Provides: cron-daemon
Description: process scheduling daemon
 The cron daemon is a background process that runs particular programs at
 particular times (for example, every minute, day, week, or month), as 
 specified in a crontab. By default, users may also create crontabs of
 their own so that processes are run on their behalf.
 .
 Output from the commands is usually mailed to the system administrator
 (or to the user in question); you should probably install a mail system
 as well so that you can receive these messages.
 .
 This cron package does not provide any system maintenance tasks. Basic
 periodic maintenance tasks are provided by other packages, such 
 as checksecurity.
