=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,7 @@
 
 
 override_dh_installinit:
-	dh_installinit -- start 89 2 3 4 5 . stop 11 1 .
+	dh_installinit -- start 89 2 3 4 5 .
 
 
 override_dh_compress:
