=== debian/watch ===
version=3

http://ftp.isc.org/isc/cron/cron_(.*)\.shar
