## cron 3.0pl1-128.1ubuntu1.1+9.0trisquel1

=== debian/changelog ===
cron (3.0pl1-128.1ubuntu1.1+9.0trisquel1) etiona-security; urgency=medium

  * Removed non-free example #10868

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 May 2022 14:36:13 +0000

cron (3.0pl1-128.1ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: privilege escalation in postinst script
    - Add sanity checks over the entries in spool directory and
      set up owner and group accordingly in debian/postinst
    - CVE-2017-9525
  * SECURITY UPDATE: denial of service via large file
    - Add sanity check in case of running out of memory when
      parsing the file in entry.c
    - CVE-2019-9704
  * SECURITY UPDATE: denial of service via large file
    - Add sanity check to ensure that no more than 1000 lines of
      length are allowed in crontabs in cron.h, crontab.c and
      user.c.
    - CVE-2019-9705
  * SECURITY UPDATE: denial of service by use-after-free
    - Add return values when there is no memory available
      in database.c
    - CVE-2019-9706

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Fri, 29 Apr 2022 11:16:53 +0200
