## cron 3.0pl1-128.1ubuntu1.2+9.0trisquel1

=== debian/changelog ===
cron (3.0pl1-128.1ubuntu1.2+9.0trisquel1) etiona-security; urgency=medium

  * Removed non-free example #10868

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 11 May 2022 00:35:56 +0000

cron (3.0pl1-128.1ubuntu1.2) bionic-security; urgency=medium

  * SECURITY REGRESSION: CVE-2017-9525 regression (LP: #1971895)
    - debian/postinst: add tab_name emptiness check
    - https://salsa.debian.org/debian/cron/-/commit/23047851

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 10 May 2022 17:59:19 -0300
