## cron 3.0pl1-133-cl4.3.1u4

=== debian/changelog ===
cron (3.0pl1-133-cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    df1e428bde5bc8cff157b7ea337cc283a01068de

 -- root <root@7490f848894d>  Tue, 14 Jun 2022 07:54:44 +0000

cron (3.0pl1-133-cl4u1) RELEASED; urgency=medium

   * First 4.0 release; merged up to buster pl1-133 level

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 03 Apr 2019 15:50:05 -0700

cron (3.0pl1-cl3u1) RELEASED; urgency=medium
  * New Enabled: cron will now log output to syslog if no mail transfer agent
  * [ Josh Triplett ] - from the 4 patches in
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=670118
  * Add two new log levels: -L 16 logs all cron job output, and -L 32 logs all
    cron job output when not already mailing that output.
  * In /etc/default/cron, change the default log level to -L 38 for Cumulus,
    to ensure that cron job output gets logged on systems without an MTA

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 29 Mar 2016 15:56:37 -0700
