=== debian/control ===
Source: cron
Section: admin
Priority: important
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Standards-Version: 4.3.0
Build-Depends:
    debhelper-compat (= 12),
    libpam0g-dev,
    libselinux1-dev [linux-any],
    libaudit-dev [linux-any],
    dh-systemd (>= 1.4), git
Homepage: https://ftp.isc.org/isc/cron/
Rules-Requires-Root: no
XS-Build-Source: True
XS-Cumulus-Valid-Arch: amd64 armel
XBCS-Vcs-Hash: df1e428bde5bc8cff157b7ea337cc283a01068de

Package: cron
Architecture: any
Multi-Arch: foreign
Pre-Depends:
    ${misc:Pre-Depends},
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    debianutils (>= 1.7),
    sensible-utils,
    adduser,
    lsb-base (>= 3.0-10),
    libpam-runtime (>= 1.0.1-11)
Recommends:
    rsyslog | system-log-daemon
Suggests:
    anacron (>= 2.0-1),
    logrotate,
    checksecurity,
    default-mta | mail-transport-agent
Provides: cron-daemon
Description: process scheduling daemon
 The cron daemon is a background process that runs particular programs at
 particular times (for example, every minute, day, week, or month), as
 specified in a crontab. By default, users may also create crontabs of
 their own so that processes are run on their behalf.
 .
 Output from cron jobs is either mailed to the user or logged to the system
 log.  You should install a syslog daemon if you want to log cron job output, or
 install a mail transport agent if you want to receive cron job output by email.
 .
 This cron package does not provide any system maintenance tasks. Basic
 periodic maintenance tasks are provided by other packages, such
 as checksecurity.
XBCS-Vcs-Hash: df1e428bde5bc8cff157b7ea337cc283a01068de
